PUT /discord/channels/{channelId}/pins/{messageId}

Pin a message (idempotent; needs Manage Messages; a 51st pin is a 400)

PUT
/discord/channels/{channelId}/pins/{messageId}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

channelId*string

Discord channel id (snowflake)

messageId*string

Discord message id

Query Parameters

accountId*string

Discord account id bound to this server (or the channel's server)

Response Body

Done

application/json
  1. response
success?boolean
operation?"message_pinned"
Value in"message_pinned"
channelId?string
messageId?string
Example Request
curl -X PUT 'https://example.com/api/v1/discord/channels/string/pins/string?accountId=string'
Example Response
{  "success": true,  "operation": "message_pinned",  "channelId": "string",  "messageId": "string"}